# Config

```lua
Config = {}

-- Framework autodetect
core = nil -- DONT TOUCH
fwType = 'standalone' -- DONT TOUCH

if GetResourceState("es_extended") == "started" then
    core = exports['es_extended']:getSharedObject()
    fwType = "esx"
elseif GetResourceState("qb-core") == "started" then
    core = exports['qb-core']:GetCoreObject()
    fwType = "qbcore"
elseif GetResourceState("qbx-core") == "started" then
    core = exports['qbx-core']:GetCoreObject()
    fwType = "qbx"
end

-- NOTIFY FUNCTION --
Config.Notify = function(message, type)
    if fwType == 'esx' then
        
        -- For your notify remove ESX.ShowNotification(message, 2000, type) and put your export or trigger 
        core.ShowNotification(message, 2000, type) -- Default ESX Notify

    elseif fwType == 'qbcore' or fwType == 'qbx' then

        -- For your notify remove QBCore.Functions.Notify(message, type) and put your export or trigger 
        core.Functions.Notify(message, type) -- Default QB/QBX Notify

    elseif fwType == 'standalone' then
            -- HERE PUT YOUR NOTIFY EXPORT

    end
end

Config.EnableCommand = true
Config.TagCommand = 'tag'


--Permissions--
--For ESX using group system (xPlayer.getGroup()) or with exports
--For QBCore/QBX/Standalone using ACE permissions in server.cfg or with exports
Config.TagsList= {
     ['admin'] = { -- Permission name or group name
        TagLabel = 'ADMIN',
        ShowName = true,
        BackgroundColor = 'linear-gradient(to right, rgba(194, 117, 69, 0.8), rgba(200, 84, 12, 0.8))',
        Offset = 1.0,
     },
     ['developer'] = { -- Permission name or group name
        TagLabel = 'DEVELOPER',
        ShowName = true,
        BackgroundColor = 'linear-gradient(to right, rgba(47,103,66,0.8), rgba(92,179,125,0.8))',
        Offset = 1.0,
     },
     ['moderator'] = { -- Permission name or group name
        TagLabel = 'MODERATOR',
        ShowName = true,
        BackgroundColor = 'linear-gradient(to right, rgba(55,112,169,0.8), rgba(121,184,250,0.8)',
        Offset = 1.0,
     },
     ['owner'] = { -- Permission name or group name
        TagLabel = 'OWNER',
        ShowName = true,
        BackgroundColor = 'linear-gradient(to right, rgba(255, 184, 0, 0.8), rgba(255, 255, 0, 0.8))',
        Offset = 1.0,
     }
 -- ['example'] = { -- Permission name or group name
 --     TagLabel = 'Example',
 --     ShowName = true,
 --     BackgroundColor = 'linear-gradient(to right, rgba(194, 117, 69, 0.8), rgba(200, 84, 12, 0.8))',
 --     Offset = 1.0,
 --  }
}

Translation = {
     ['tag_no_permissions'] = 'You are not authorised to use the Tag',
     ['tag_deactivated'] = 'Tag has been deactivated',
     ['tag_activated'] = 'Tag has been activated'
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devcore.cz/resources/tag-system/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
